<template>
  <view class="container"></view>
</template>

<script>
export default {
  data() {
    return {
      faceType: "",
    };
  },
  onLoad: function (options) {
    console.log(options);
    this.faceType = options.faceType || "";
    console.log("准备跳转了哦1");
    if (options.faceType == "OPEN_ACCOUNT") {
      my.navigateTo({
        url: `/pages/BankModule/OpenAccount/OpenAccount?faceAuth=1`,
      });
    } else if (options.faceType == "CHANGE_CARD") {
      // 换绑卡
      my.navigateTo({
        url: `/pages/BankModule/ChangeBankPay/ChangeBankPay?faceAuth=1`,
      });
    } else if (options.faceType == "CANCEL_ACCOUNT") {
      // 销户
      my.navigateTo({
        url: `/pages/BankModule/Recharge/Recharge?faceAuth=1`,
      });
    }

    console.log("跳呀");
    //faceAuth = 1  人脸活体检测成功
    // my.navigateTo({
    //   url: `/pages/BankModule/OpenAccount/OpenAccount?faceAuth=1`,
    // });
  },
  onShow() {},
  created: function () {
    // console.log(this.$echarts);
  },
  methods: {},
  mounted: function () {},
};
</script>

<style scoped>
</style>
